
Figure - Bug #116132
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】左划删除通知中心最顶端的一条通知，音乐播放器会短暂消失
2023-02-09 16:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-09

Priority: Normal Due date: 2023-02-24

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-27

Test Type: ST Root cause: 音乐媒体控件通知和录屏通知被归为一组，导致被同时删除

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开通知中心

2、左划删除通知中心最顶端的一条通知

【预期结果】

2、正常删除通知消息

【实际结果】

2、删除该通知的瞬间，音乐播放器会短暂消失

【复现率】

3/3

History

#1 - 2023-02-10 09:41 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王宏

#2 - 2023-02-10 19:20 - CD APP-王宏

- % Done changed from 0 to 10

■ Current conclusion

分析中

■ My analysis

MediaCarouselController$addOrUpdatePlayer 中的 existingPlayer ==null  ，导致View重新添加进去

■ Next action

继续调查，查找根源

#3 - 2023-02-13 20:05 - CD APP-王宏
- % Done changed from 10 to 20

■ Current conclusion

分析中

■ My analysis

MediaDataManager$onNotificationRemoved --->notifyMediaDataRemoved(key) --->导致将缓存的media移除了，所以exsitPlayer获取不到，为null,当exsitPlayer

为null,就会触发View的重建.

■ Next action

继续调查，查找根源,感觉如果能从通知源头上解决会更好，

比如我们在第一次录制结束的时候title是屏幕录制器，但是第二次录制结束就成了系统界面

1.屏幕录制条件下，不让生成带系统界面的标题

2.在滑动移除通知栏的时候，判断特殊条件，不通知移除media

#4 - 2023-02-15 20:48 - CD APP-王宏

- % Done changed from 20 to 30

■ Current conclusion

分析中

■ My analysis

最终发现在移除的时候调用这个 NotificationMediaManager$MediaDataManager.Listener$onMediaDataRemoved--->sendEmptyMediaNotification()，

但是注释掉发现音乐播放器被移除后就不再添加了

■ Next action

因此还是决定在MediaDataManager$onNotificationRemoved --->notifyMediaDataRemoved(key）之后做处理，

找到影响缓存的那个回调，不影响其他逻辑

#5 - 2023-02-16 20:03 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

进发现NotificationMediaManager$MediaDataManager.Listener$onMediaDataRemoved--->sendEmptyMediaNotification() 这个方法发送的通知是看不见的，

因此，在发送两个录屏通知过后，三个通知成组，删除组的时候会将看不见的通知一起删除，进而通知empty_media相关的播放器重绘，故出现以上现象

■ Next action

两种方案：1.在移除的时候判断如果是看不见的通知，那就不移除此条

2.在添加到组里的时不添加看不见的通知

#6 - 2023-02-17 10:00 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#7 - 2023-02-20 09:36 - CD FW 曹覃刚

- Assignee changed from CD APP-王宏 to CD FW 曹覃刚

#8 - 2023-02-20 15:35 - CD FW 曹覃刚

- Due date set to 2023-02-22

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

#9 - 2023-02-22 20:40 - CD FW 曹覃刚

- Due date changed from 2023-02-22 to 2023-02-24
- Assignee changed from CD FW-鲁凯峰 to CD FW 曹覃刚

#10 - 2023-02-24 13:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183852 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:QuickSettings: When deleting a notification group, notifications for empty media components should not be deletedTC-RID: 1201-0201903IssueID:

TS-R-BUG-116132Change-Id: Ieec4590f81015cbc03c4c790e1d431cf2b69c417

#11 - 2023-02-24 13:41 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-27

- Root cause set to 音乐媒体控件通知和录屏通知被归为一组，导致被同时删除

#12 - 2023-02-27 11:13 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

2.27

验证通过

#13 - 2023-02-27 11:13 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-09 11-32-45.mp4 4.58 MB 2023-02-09 CD TEST-方永红
